Scilab Function
Last update : 00/00/0000

locate - sélection avec la souris d'un ensemble de points

### Calling Sequence

  `x=locate([n,flag])`

### Parameters

- `x` : matrice de taille (2,n1). n1=n si le paramètre n est donné.
- `n,flag` : entiers.

### Description

`locate` est utilisée pour récupérer les coordonnées d'un ou plusieurs points sélectionnés avec la souris dans une fenêtre graphique. Les coordonnées sont données dans l'échelle graphique courante.

Si n>0, n points sont sélectionnés et leurs coordonnées sont renvoyées dans la matrice `x`.

Si n<=0, les points sont sélectionnés jusqu'à ce que l'on presse le bouton de gauche de la souris. Le dernier point sélectionné (avec le bouton de gauche) n'est dans ce cas pas renvoyé. x=locate() est identique à `x=locate(-1)`.

Si `flag=1` une croix est dessinée aux points sélectionnés.

### See Also

`xclick`, `xgetmouse`,

### Author

S.S. & J.Ph.C